<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $fecha_inicio   = $decoded['fecha_inicio'];
  $fecha_fin      = $decoded['fecha_fin'];

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      if( $fecha_inicio && $fecha_fin ){
      }else{
        $LIMIT = "LIMIT 10";
      }

      //Pedidos
      $Query = "
        SELECT
          ped.id,
          ped.fecha, ped.total,
          est.id AS estatus_id, est.estatus,
          tie.nombre AS tienda
        FROM articulos_pedidos ped
        LEFT JOIN articulos_pedidos_estatus est ON est.id = ped.fk_estatus
        LEFT JOIN tiendas tie ON tie.Id = ped.fk_tienda
        WHERE
          ped.fk_usuario = '$Usr[id]'
          AND ped.fk_estatus = '2'
        $LIMIT

        UNION

        SELECT
          ped.id,
          ped.fecha,
          SUM(ped.cantidad * ped.precio) total,
          est.id AS estatus_id, est.estatus,
          tie.nombre AS tienda
        FROM promociones_pedidos ped
        LEFT JOIN articulos_pedidos_estatus est ON est.id = ped.fk_estatus
        LEFT JOIN tiendas tie ON tie.Id = ped.fk_tienda
        WHERE
          ped.fk_usuario_app = '$Usr[id]'
          AND ped.fk_estatus = '2'
        $LIMIT
      ";
      $Peds = $mysqli->query($Query);
      mysqli_data_seek($Peds, 0);
      while($Ped = mysqli_fetch_array($Peds)) {

        $Fecha = date('Y-m-d', strtotime($Ped['fecha']));

        if( $Ped[id] ){
          $Pedidos[] = array(
            'pedido_id'   => $Ped[id],
            'fecha'       => $Fecha,
            'tienda'      => $Ped[tienda],
            'total'       => $Ped[total],
            'estatus'     => $Ped[estatus]
          );
        }

      }

      $Data = array(
        'pedidos'   => $Pedidos
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }else{

      //Error
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'uv-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
